function [fl,fu]=fieller(A,B,a);
%Fieller's method, taken from Motulsky's Intuitive Biostatistics (1st
%Edition).  fl and fu are the lower and upper limits of the (100-a)%
%confidence intervale for the ratio B/A

na=length(A)
nb=length(B)
fo=na+nb-2;
fz=tinv(1-a/2,fo)
sda=std(A);
sdb=std(B);
ma=mean(A);
mb=mean(B);

g=(fz*sdb/sqrt(nb)/mb)^2;
Q=ma/mb/(1-g);

seq=Q*sqrt((1-g)*((sda/sqrt(na))^2)/ma^2+((sdb/sqrt(nb))^2/mb^2));
Q
seq
fl=Q-fz*seq
fu=Q+fz*seq
22
if 1-g <0
    fl=0;
    55
    fu=0;
end;
if abs(imag(seq))>10^(-10);
    33
    fl=0;
    fu=0;
end;

if fl<0;
    fl=0;
    fu=0;
end;
if fu<0;
    fl=0;
    fu=0;
end;
%if fl<0.85;
%    fl=0;
%    fu=0;
%end;
